> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/get-dspamscanresult.md).

# Get-DSPamScanResult

Get-DSPamScanResult ruft das Ergebnis des letzten Scan-Auftrags für eine bestimmte Kontoerkennungskonfiguration in Devolutions Server ab.

### Übersicht

Rufen Sie das Ergebnis des letzten Scan-Auftrags ab, der mit einer bestimmten Kontoerkennungskonfiguration verknüpft ist

### Syntax

#### \_\_AllParameterSets

```
Get-DSPamScanResult [-InputObject] <ScanConfigurationDto> [[-Filter] <string>] [-ExcludeManaged]
 [<CommonParameters>]
```

### Beschreibung

Rufen Sie das Ergebnis des letzten Scan-Auftrags ab, der mit einer bestimmten Kontoerkennungskonfiguration verknüpft ist.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> Get-DSPamScanConfiguration -LiteralName 'ScanA' | Get-DSPamScanResult
```

Das Scan-Ergebnis für die Konfiguration mit dem Namen 'ScanA' abrufen

#### Beispiel 2

```powershell
PS C:\> $providerID = 'the-desired-pam-provider-ID'
        $folderID = 'the-desired-pam-vault-or-folder-ID'
        $configuration = Get-DSPamScanConfiguration -LiteralName 'ScanA';
        $toImport = Get-DSPamScanResult -InputObject $configuration -Filter '@domain.net' -ExcludedManaged;
        $providerResult = Get-DSPamProvider
        $provider = $providerResult.Data | Where -Property ID -eq $providerID
        $importResult = Import-DSPamScanResult -ScanResult $toImport -Provider $provider -FolderID $folderID
```

Importieren Sie aus dem Ergebnis des PAM-Scans 'ScanA' alle Benutzer, die '@domain.net' in ihrem Benutzernamen, Hostnamen, vollständigen Namen oder in der Beschreibung haben, in den durch $folderID angegebenen PAM-Ordner.

### Parameter

#### -ExcludeManaged

Die verwalteten Benutzer ausschließen

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Filter

Der globale Filter, identisch mit dem Filter der Web-Benutzeroberfläche, ist dafür ausgelegt, auf die Felder Benutzername, Hostname, vollständiger Name und Beschreibung angewendet zu werden.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

PAM-Kontoerkennungskonfigurationsobjekt, das mit Get-DSPamScanConfiguration abgerufen wurde

```yaml
Type: Devolutions.Server.NetworkDiscovery.Dto.ScanConfigurationDto
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Eingaben

#### Devolutions.Server.NetworkDiscovery.Dto.ScanConfigurationDto

PAM-Kontoerkennungskonfigurationsobjekt, das mit Get-DSPamScanConfiguration abgerufen wurde

### Hinweise

Für weitere Informationen geben Sie "Get-Help Get-DSPamScanResult -detailed" ein. Für technische Informationen geben Sie "Get-Help Get-DSPamScanResult -full" ein.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/get-dspamscanresult.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
